Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1027269 - xfce4-power-manager reports wrong battery status
Summary: xfce4-power-manager reports wrong battery status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-06 13:00 UTC by Peter Hatina
Modified: 2016-06-01 01:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 02:36:59 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 10376 0 None None None Never

Description Peter Hatina 2013-11-06 13:00:34 UTC
Description of problem:
When running a system with 2 batteries, ac adaptor disconnected, and one becomes empty, xfce4-power-manager shows charging icon on the empty battery, which is apparently wrong.

Version-Release number of selected component (if applicable):
xfce4-power-manager-1.2.0-8.fc19.x86_64

How reproducible:
Run a system with 2 batteries connected, adaptor disconnected and discharge one battery to 0%.

Steps to Reproduce:
1. Unplug adaptor from the computer
2. Discharge one battery to 0%
3. See wrong icon in tray bar

Actual results:
Totaly empty battery is reported by xfce4-power-manager as being charged -- adaptor is disconnected.

Expected results:
Report battery status as empty.

Additional info:
Upstream bug report with working fix https://bugzilla.xfce.org/show_bug.cgi?id=10376

Comment 1 Peter Hatina 2014-03-10 09:41:46 UTC
Any news about this?

Comment 2 Christoph Wickert 2014-03-12 08:35:32 UTC
If there are no news from upstream, there are no news downstream either. Sorry.

Comment 3 Peter Hatina 2014-03-18 08:48:19 UTC
How about fixing this issue in Fedora?

Comment 4 Mukundan Ragavan 2014-06-13 18:27:52 UTC
Hi Peter, could you please try this build of xfce4-power-manager and see if it works?

http://copr-be.cloud.fedoraproject.org/results/nonamedotc/xfce411/fedora-rawhide-x86_64/xfce4-power-manager-1.3.0-1.fc20/xfce4-power-manager-1.3.0-1.fc21.x86_64.rpm

Comment 5 Fedora Update System 2014-10-02 03:13:50 UTC
xfce4-power-manager-1.4.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-power-manager-1.4.1-3.fc21

Comment 6 Fedora Update System 2014-10-10 16:09:27 UTC
xfce4-power-manager-1.4.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Mukundan Ragavan 2015-02-12 02:36:59 UTC
Closing.

If the issue persists, please feel free to reopen the bug report. Thanks.


Note You need to log in before you can comment on or make changes to this bug.